//
// FILE:     CannonBall.java
// AUTHOR:   Eugene Wallingford
// DATE:     2012/10/08
// COMMENT:  This class is based on Tim Budd's original CannonWorld
//           and adapted for CS 2530.
//
// MODIFIED: 
// CHANGE:   
//

import java.awt.Color;

public class CannonBall extends Ball
{
  public CannonBall( int startX, int startY, int radius,
                     double deltaX, double deltaY )
  {
    super( startX, startY, radius, deltaX, deltaY );
  }
  
  public void move()
  {
    adjustSpeedBy( 0.0, 0.3 );     // record the effect of gravity
    
    if ( yDeltaIsPositive() )
      become( Color.red );
    else
      become( Color.blue );
    
    super.move();                  // and update my position
  }
}
